## org.gnu.glib
Class GListString

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.glib.GListString

public final class GListString
extends GObject

Wrapper class for glib's `GList` structure, specialized to hold only lists of strings. This class provides a way to translate between `GList` and native Java arrays and collections. For instances initially constructed at the Java layer, the class manages all of the memory pointed to by the GLib layer, so, in that case, if an instance of this class gets gc'ed then the GLib memory will be reclaimed. Some instances of this class have their origin in the GLib layer, however. For these instances, no GLib memory is reclaimed when the Java instance gets collected.

This class is not intended to provide all of the functionality of `GList` directly. If, for example, you are interested in interactively inserting or deleting elements, or iterating over the elements, you should do such things with Java objects, translating to and from instances of this class as needed.

The Java-Gnome bindings library is free software distributed under the terms of the GNU Library General Public License version 2.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`GListString()` Construct an instance.
`GListString(java.lang.String[] list)` Construct an instance initially containing the elemnts of the given array.
`GListString(java.util.Vector vec)` Construct an instance initially containing the elements of the given vector.

Method Summary
`void` `append(java.lang.String s)` Append a string to the end of this instance.
`Handle` `append0(Handle handle, java.lang.String str)` Append a string to this instance, where the string is represented as an array of `byte`s representing character values in the default encoding.
`protected void` `finalize()` Finalize this instance.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GListString

    public GListString()

  Construct an instance. It initially contains no elements.

### GListString

    public GListString(java.util.Vector vec)

  Construct an instance initially containing the elements of the given vector.

Parameters:
  `vec` - the vector containing the elements to put in the instance

### GListString

    public GListString(java.lang.String[] list)

  Construct an instance initially containing the elemnts of the given array.

Parameters:
  `list` - The Array containing the elements to put in this instance.

Method Detail

### finalize

    protected void finalize()

  Finalize this instance. This method should never be called, other than by the Java virtual machine.

### append

    public void append(java.lang.String s)

  Append a string to the end of this instance.

  Parameters:
    `s` - the string to append

### append0

    public Handle append0(Handle handle,
                          java.lang.String str)

  Append a string to this instance, where the string is represented as an array of `byte`s representing character values in the default encoding.

  Parameters:
    `str` - The string, represented in ISO-8859-1